%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 0.2.3
%define release	1mdk

%define realname kadm5
%define modname kadm5
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A12_%{modname}.ini

%define mod_lib "-I%{_includedir}/krb5 -lk5crypto -lkrb5 -lgssrpc -lkadm5clnt"
%define mod_def "-DHAVE_DLFCN_H -DCOMPILE_DL_KADM5"

Summary:	Remote access to Kerberos Administration Servers for PHP4
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pecl.php.net/package/kadm5
License:	LGPL
Source0:	%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Patch0:		kadm5-0.2.3-label_at_end_of_compound_statement.diff.bz2
Requires:	php%{libversion}
Requires:	php-cli
Requires:	krb5-libs
BuildRequires:	php%{libversion}-devel
BuildRequires:	krb5-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
This package allows you to access Kerberos V administration
servers. You can create, modify, and delete Kerberos V principals
and policies.

%prep

%setup -q -n %{modname}-%{rversion}
%patch0 -p0

%build

%{phpsource}/buildext %{modname} %{modname}.c %{mod_lib} %{mod_def}

#phpize
#%%configure2_5x \
#    --with-%{modname}=shared,%{_prefix}
#
#%%make
#mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc doc examples tests CREDITS README README.%{modname}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.2.3-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.2.3-2mdk
- remove redundant provides

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.2.3-1mdk
- rebuilt for php-4.3.7
- added P0

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.2.3-2mdk
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.2.3-1mdk
- fix url
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.2.3-1mdk
- built for php 4.3.4
- drop work around for the borked libkrb51-devel-1.3-2mdk package

* Fri Aug 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.2.3-1mdk
- built for php 4.3.3
- work around the borked libkrb51-devel-1.3-2mdk package
- misc spec file fixes

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.2.3-1mdk
- initial cooker contrib
